#include "h/SkypeConnection.h"

//--- Tutorial example code ---
typedef StreamLogger<LvlTimeLogPrefix> MyLogger_t;
MyLogger_t logger(std::cout);
LogFunc_t lf(&logger, &MyLogger_t::Do);
//--- End of tutorial example code ---


void DefaultCallback(const std::string& s)
{
	fprintf(stdout, "%s: '%s'\n", __FUNCTION__, s.c_str());	
};

int main(int argc, char* argv[])
{
	SimpleHandler_t def(DefaultCallback);
    SkypeConnection sc(argv[0], def, lf);
    sc.Attach();
    sc << DisableIds << "PROTOCOL 99" << flush << EnableIds;
	return 0;
}
